// Codey's Nodraw Ladder - use on brushes wrapping objects to be climbed
textures/arctf6/ladderclip
{
	qer_editorimage textures/arctf6/ladder-rad.tga
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm ladder
	qer_trans 0.85
}

//Glass
textures/arctf6/glass
{
	qer_editorimage textures/arctf6/envmap01.tga
	surfaceparm trans
	cull disable
	qer_trans 0.75
	{
		map textures/arctf6/envmap01.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

// Better, more transparent glass
textures/arctf6/glass2
{
	qer_editorimage textures/arctf6/envmap01.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/arctf6/envmap01.tga
		rgbGen identity
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

//Chainlink Fence
textures/arctf6/chainlinkfence02
{
	qer_editorimage textures/arctf6/chainlinkfence02.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	// surfaceparm nonsolid
	//surfaceparm playerclip
	surfaceparm trans
	sort banner
	// cull disable
	nopicmip
	qer_trans 0.85
	{
		map textures/arctf6/chainlinkfence02_mask.tga
		blendfunc gl_zero gl_zero
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map textures/arctf6/chainlinkfence02.tga
		blendfunc blend
		rgbGen Vertex
	}
}

// Floor grating version with softer, least distinct moire pattern.
// Good for fine, repetitive detail, but at the cost of being not totally
// transparent and not well lightmap-able.
textures/arctf6/floorgrate01
{
	qer_editorimage textures/arctf6/floorgrate01_a.tga
	surfaceparm alphashadow
	// surfaceparm nomarks
	// surfaceparm nonsolid
	// surfaceparm playerclip
	surfaceparm trans
	// sort 6
	cull disable
	nopicmip
	qer_trans 0.85
	{
		map textures/arctf6/floorgrate01_a.tga
		blendfunc blend
		rgbGen Vertex
	}
}

// Papa's Waving Banner
textures/arctf6/safetybanner01_waving_a
{
	qer_editorimage textures/arctf6/safetybanner01.tga
	surfaceparm alphashadow
	// surfaceparm trans
	// sort 6
	deformVertexes wave 100 sin 0 3 0 0.25 
	tessSize 64
	{
		map textures/arctf6/safetybanner01.tga
		// blendfunc blend
		rgbGen Vertex
		alphaFunc GE128
	}
}
// Second Phase for back to back sync
textures/arctf6/safetybanner01_waving_b
{
	qer_editorimage textures/arctf6/safetybanner01.tga
	surfaceparm alphashadow
	// surfaceparm trans
	// sort 6
	deformVertexes wave 100 sin 0 3 0.5 0.25 
	tessSize 64
	{
		map textures/arctf6/safetybanner01.tga
		// blendfunc blend
		rgbGen Vertex
		alphaFunc GE128
	}
}

// BEAMS
// Incandescent Yellowish Dust Sparkle
textures/arctf6/beamsparkle01_inc
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.85
	{
		map textures/arctf6/beamsparkle01_inc.tga
		blendfunc add
		tcMod scroll 0.02 0
	}
}

// Red Dust Sparkle
textures/arctf6/beamsparkle01_red
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.85
	{
		map textures/arctf6/beamsparkle01_red.tga
		blendfunc add
		tcMod scroll 0.02 0
	}
}

// Blue Dust Sparkle
textures/arctf6/beamsparkle01_blue
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.85
	{
		map textures/arctf6/beamsparkle01_blue.tga
		blendfunc add
		tcMod scroll 0.02 0
	}
}

//  Light emitting Soda Machine
textures/arctf6/sodamachine01_front_light
{
	qer_editorimage textures/arctf6/sodamachine01_front.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/arctf6/sodamachine01_front.tga
		// blendfunc add
	}
}

// Undulating Liquid
textures/arctf6/darkliquid01
{
	qer_editorimage textures/arctf6/darkliquid02.tga
	{
		map textures/arctf6/darkliquid02.tga
		tcMod turb 0 0.1 0 0.125
		tcMod scroll 0.05 0.025
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

// Blueish industrial paned windows, light emitting
textures/arctf6/window_paned02_blue
{
	qer_editorimage textures/arctf6/window_paned02_blue.tga
	surfaceparm nomarks
	// surfaceparm nolightmap
	q3map_surfacelight 100
	{
		map textures/arctf6/window_paned02_blue.tga
		// blendfunc add
	}
}

// Blue-green, light emitting, fluorescent fixture to go with ceiling tiles
textures/arctf6/ceilingtile01_fluorescent_light
{
	qer_editorimage textures/arctf6/ceilingtile01_fluorescent.tga
	surfaceparm nomarks
	q3map_surfacelight 1200
	{
		map textures/arctf6/ceilingtile01_fluorescent.tga
		blendfunc add
	}
}

// White, that's a light. How about that?
// Note: q3map_surfacelight is size relative- a smaller brush needs a much higher value.
textures/arctf6/white_light_material_2000
{
	qer_editorimage textures/arctf6/solidcolor_white_16x16.tga
	q3map_surfacelight 2000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/arctf6/solidcolor_white_16x16.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/arctf6/solidcolor_white_16x16.tga
		blendfunc add
	}
}

// Simple solids without lightmap- for lightbulbs, etc
textures/arctf6/lightmapless_white
{
	qer_editorimage textures/arctf6/solidcolor_white_16x16.tga
	surfaceparm nolightmap	
	{
		map textures/arctf6/solidcolor_white_16x16.tga
	}
}

textures/arctf6/lightmapless_grey25
{
	qer_editorimage textures/arctf6/solidcolor_grey25_16x16.tga
	surfaceparm nolightmap	
	{
		map textures/arctf6/solidcolor_grey25_16x16.tga
	}
}
textures/arctf6/lightmapless_blue
{
	qer_editorimage textures/arctf6/solidcolor_blue_16x16.tga
	surfaceparm nolightmap	
	{
		map textures/arctf6/solidcolor_blue_16x16.tga
	}
}
textures/arctf6/lightmapless_red
{
	qer_editorimage textures/arctf6/solidcolor_red_16x16.tga
	surfaceparm nolightmap	
	{
		map textures/arctf6/solidcolor_red_16x16.tga
	}
}

// Simple blinking lights, no lightmap
textures/arctf6/blinker01_yellow
{
	qer_editorimage textures/arctf6/solidcolor_yellow_16x16.tga
	surfaceparm nolightmap
	{
		map textures/arctf6/solidcolor_yellow_16x16.tga
		rgbGen wave sin 0.5 0.5 0 0.25 
	}
}

textures/arctf6/blinker02_yellow
{
	qer_editorimage textures/arctf6/solidcolor_yellow_16x16.tga
	surfaceparm nolightmap
	{
		map textures/arctf6/solidcolor_yellow_16x16.tga
		rgbGen wave sin 0.5 0.5 0.125 0.25 
	}
}

textures/arctf6/blinker01_orange
{
	qer_editorimage textures/arctf6/solidcolor_orange_16x16.tga
	surfaceparm nolightmap
	{
		map textures/arctf6/solidcolor_orange_16x16.tga
		rgbGen wave sin 0.5 0.5 0.25 0.25 
	}
}

textures/arctf6/blinker02_orange
{
	qer_editorimage textures/arctf6/solidcolor_orange_16x16.tga
	surfaceparm nolightmap
	{
		map textures/arctf6/solidcolor_orange_16x16.tga
		rgbGen wave sin 0.5 0.5 0.5 0.25 
	}
}

// Codey's posters - no alpha - use on patches 1 unit out from walls and floors
// Tried lightmapping, didn't work so well under dim light :(
textures/arctf6/gratedrain01
{
	nopicmip
	{
		map textures/arctf6/gratedrain01.tga
		rgbGen Vertex
		depthWrite
	}
	// {
	// 	map $lightmap 
	// 	blendfunc filter
	// 	rgbGen identity
	// 	tcGen lightmap 
	// }
}

textures/arctf6/clearancesign01
{
	nopicmip
	sort 6
	surfaceparm nonsolid
	{
		map textures/arctf6/clearancesign01.tga
		rgbGen Vertex
		depthWrite
	}
}

textures/arctf6/concrete001_darkdirtpanel
{
	nopicmip
	surfaceparm nonsolid
	{
		map textures/arctf6/concrete001_darkdirtpanel.tga
		rgbGen Vertex
		depthWrite
	}
}

textures/arctf6/concrete001_smallpanel
{
	nopicmip
	surfaceparm nonsolid
	{
		map textures/arctf6/concrete001_smallpanel.tga
		rgbGen Vertex
		depthWrite
	}
}

textures/arctf6/dirsigngroup01
{
	nopicmip
	surfaceparm nonsolid
	{
		map textures/arctf6/dirsigngroup01.tga
		rgbGen Vertex
		depthWrite
	}
}
// Light emitting exit sign
textures/arctf6/exitsign01
{
	nopicmip
	q3map_surfacelight 400
	{
		map textures/arctf6/exitsign01.tga

	}
}

// // Alpha Banners/Posters/Signs: 1 unit from surface

textures/arctf6/keepclear01
{	
    nopicmip
    // surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm trans
	surfaceparm nonsolid
    polygonOffset
    sort 6
	{
		map textures/arctf6/keepclear01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/arctf6/keepclear02
{	
    nopicmip
    // surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm trans
	surfaceparm nonsolid
    polygonOffset
    sort 6
	{
		map textures/arctf6/keepclear02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/arctf6/roadarrow01
{	
    nopicmip
    // surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm trans
	surfaceparm nonsolid
    polygonOffset
    sort 6
	{
		map textures/arctf6/roadarrow01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/arctf6/baseid01_red
{	
    nopicmip
    // surfaceparm alphashadow
    // surfaceparm nomarks
    surfaceparm trans
	surfaceparm nonsolid
    polygonOffset
    sort 6
	{
		map textures/arctf6/baseid01_red.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/arctf6/baseid01_blue
{	
    nopicmip
    // surfaceparm alphashadow
    // surfaceparm nomarks
    surfaceparm trans
	surfaceparm nonsolid
    polygonOffset
    sort 6
	{
		map textures/arctf6/baseid01_blue.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/arctf6/decal_arrowsup01_red
{	
    nopicmip
    // surfaceparm alphashadow
    // surfaceparm nomarks
    surfaceparm trans
	surfaceparm nonsolid
    polygonOffset
    sort 6
	{
		map textures/arctf6/decal_arrowsup01_red.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/arctf6/decal_arrowsup01_blue
{	
    nopicmip
    // surfaceparm alphashadow
    // surfaceparm nomarks
    surfaceparm trans
	surfaceparm nonsolid
    polygonOffset
    sort 6
	{
		map textures/arctf6/decal_arrowsup01_blue.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/arctf6/decal_arrowslr01
{	
    nopicmip
    // surfaceparm alphashadow
    // surfaceparm nomarks
    surfaceparm trans
	surfaceparm nonsolid
    polygonOffset
    sort 6
	{
		map textures/arctf6/decal_arrowslr01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
